kafka KRaft报The broker does not support METADATA

识趣 发表于: 2021-10-11   最后更新时间: 2021-10-12 13:53:59   52 游览

我使用kafka 3.0.0的KRaft模式,安装kafka集群,报:

The broker does not support METADATA

我执行消费命令的时候报的:

bin/kafka-console-consumer.sh --bootstrap-server 10.0.19.91:9092 --topic test --from-beginning

错误详情:

[2021-10-11 19:03:42,897] ERROR Error processing message, terminating consumer process:  (kafka.tools.ConsoleConsumer$)
org.apache.kafka.common.errors.UnsupportedVersionException: The broker does not support METADATA

我的server.properties配置如下:

node.id=0
listeners=PLAINTEXT://10.0.19.91:9092,PLAINTEXT1://10.0.19.91:9091
advertised.listeners=PLAINTEXT1://10.0.19.91:9091
listener.security.protocol.map=PLAINTEXT1:PLAINTEXT,PLAINTEXT:PLAINTEXT
process.roles=broker,controller
controller.quorum.voters=0@10.0.19.91:9092
controller.listener.names=PLAINTEXT
inter.broker.listener.name=PLAINTEXT1

参考的文章是:https://www.orchome.com/10461

请问我该如何解决?



发表于 16天前

你这个broker不是krait模式的,启动的时候看看配置文件是不是指定错了

bin/kafka-server-start.sh config/kraft/server.properties

很多人漏了kraft

识趣 -> 半兽人 15天前

谢谢大佬,是指定错了。

你的答案

查看kafka相关的其他问题或提一个您自己的问题

找不到想要的答案?提一个您自己的问题。

我要提问
提问